Package de.willuhn.jameica.hbci.schedule

# Interface ScheduleProvider<T extends HibiscusDBObject>

Type Parameters:
  `T` - der konkrete Typ des Auftrages.

All Known Implementing Classes:
  `AbstractTransferScheduleProvider`, `AuslandsUeberweisungScheduleProvider`, `SepaDauerauftragScheduleProvider`, `SepaLastschriftScheduleProvider`, `SepaSammelLastschriftScheduleProvider`, `SepaSammelUeberweisungScheduleProvider`, `UmsatzScheduleProvider`

public interface ScheduleProvider<T extends HibiscusDBObject>
Interface fuer einen Scheduler, der geplante Zahlungen in der Zukunft errechnen/ermitteln kann.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.
`List<Schedule<T>>`
`getSchedules(Konto k, Date from, Date to)`
Liefert die Termine fuer den angegebenen Zeitraum.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen fuer den Provider.

Returns:
  sprechender Name fuer den Provider.

### getSchedules

List<Schedule<T>> getSchedules(Konto k, Date from, Date to)
Liefert die Termine fuer den angegebenen Zeitraum.

Parameters:
  `k` - optionale Angabe eines Kontos. Ist es angegeben, werden nur Zahlungen des angegebenen Kontos geliefert. Andernfalls alle Konten.
  `from` - Beginn des Zeitraumes (einschliesslich dieses Tages).
  `to` - Ende des Zeitraumes (einschliesslich dieses Tages).
Returns:
  Liste der gefundendenen Termine. Die Funktion darf NICHT NULL liefern sondern hoechstens eine leere Liste.